Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-999

"(node:19181) fs: re-evaluating native module sources is not supported." message appears when you run "appc new" with Node 6

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: Release 5.3.0, Release 5.2.2
    • Component/s: Core
    • Labels:
    • Environment:

      Appc CLI NPM: 4.2.4, 4.2.5-3
      Appc CLI Core: 5.2.2, 5.3.0-37
      Arrow: 1.7.29, 1.7.31
      SDK: 5.2.2.GA, 5.3.0.v20160427142832
      Node: v6.0.0
      OS: El Capitan (10.11.4)

    • Severity:
      Major
    • Story Points:
      3
    • Sprint:
      2016 Sprint 10 Tooling

      Description

      Details: If you run appc new with Node 6, then (node:19181) fs: re-evaluating native module sources is not supported. message will appear.

      Steps to reproduce:

      1. Make sure you installed Node 6
      2. Run appc new

      Actual: (node:19181) fs: re-evaluating native module sources is not supported. message will appear:

      MonkeyLord:~ wluu$ appc new
      Appcelerator Command-Line Interface, version 5.3.0-37
      Copyright (c) 2014-2016, Appcelerator, Inc.  All Rights Reserved.
       
      Preproduction Environment Active
       
      (node:19181) fs: re-evaluating native module sources is not supported. If you are using the graceful-fs module, please update it to a more recent version.
      ? What type of project are you creating? (Use arrow keys)
      ❯ Native App (app) 
        Arrow App (arrow) 
        Titanium Module (timodule) 
        Apple Watch™ App 
      

      Expected: No weird messages should appear.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                fmiao Feon Sua Xin Miao
                Reporter:
                wluu Wilson Luu (Inactive)
                Reviewer:
                Chee Kiat Ng (Inactive)
              • Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • It looks like Backbone Issue Sync is not enabled for your project.

                    Git Source Code